summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2015-09-30 08:10:47 +0200
committerHans de Graaff <graaff@gentoo.org>2015-09-30 10:29:43 +0200
commit7754951cfcda24a1eeb2c73a5b0f4c4da453b300 (patch)
treedb3a3d1e1605f4727b0f069860dae5c953178651 /dev-ruby/poltergeist
parentdev-java/slf4j-simple: Rename build.xml in files directory and copy build.xml... (diff)
downloadgentoo-7754951cfcda24a1eeb2c73a5b0f4c4da453b300.tar.gz
gentoo-7754951cfcda24a1eeb2c73a5b0f4c4da453b300.tar.bz2
gentoo-7754951cfcda24a1eeb2c73a5b0f4c4da453b300.zip
dev-ruby/poltergeist: version bump
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-ruby/poltergeist')
-rw-r--r--dev-ruby/poltergeist/Manifest1
-rw-r--r--dev-ruby/poltergeist/poltergeist-1.7.0.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-ruby/poltergeist/Manifest b/dev-ruby/poltergeist/Manifest
index 9ce8911af89..98f4d47c43c 100644
--- a/dev-ruby/poltergeist/Manifest
+++ b/dev-ruby/poltergeist/Manifest
@@ -1 +1,2 @@
DIST poltergeist-1.6.0.tar.gz 147447 SHA256 6a62976b6c1364be817c87daf84830d50284e3d693d8c9155d74514755d86c29 SHA512 298af6798095d78cd662dd58231ababec4a3b9925dd7d45ebb9d28c1211a3838605ba5c2ed75033439dc28d7ef84060407495e87e2fe248b1965bd3f5ccd8250 WHIRLPOOL 162e4aa97da121dd392f333550032657a199ab27225b76ed05f2f0e04e9c2c2971932fb48117ecd72f144ba194ab35c317afca1041fedf066697368f8a3429df
+DIST poltergeist-1.7.0.tar.gz 152255 SHA256 fe47b424986d1d19b90284dc231a9635a7d2e01ba1d4bee563d7108c28ed50d6 SHA512 33d63eac89d6b19f7b11b6d021f7ac59061fb6990ed2fab80f7b522f7ea0e7fcb78035ac9baea2e54228da174d064a97f683ad823557ef9bd56bb0916d6fa5c4 WHIRLPOOL 41c174850db7f1950b0b47d58d2d2a50b7c4c12d7040866da005120070cf1b53cd55a5c9164e89d35905a9d8ed16e22dbc2dc8daf4b8f7f2dfeff4984a6f218c
diff --git a/dev-ruby/poltergeist/poltergeist-1.7.0.ebuild b/dev-ruby/poltergeist/poltergeist-1.7.0.ebuild
new file mode 100644
index 00000000000..c3c9a811cb7
--- /dev/null
+++ b/dev-ruby/poltergeist/poltergeist-1.7.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+# There are tests but they require several unpackaged dependencies.
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A PhantomJS driver for Capybara"
+HOMEPAGE="https://github.com/jonleighton/poltergeist"
+SRC_URI="https://github.com/jonleighton/poltergeist/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND+=" www-client/phantomjs"
+
+ruby_add_rdepend ">=dev-ruby/cliver-0.3.1
+ dev-ruby/multi_json
+ >=dev-ruby/capybara-2.1
+ >=dev-ruby/websocket-driver-0.2.0"
+
+all_ruby_prepare() {
+ # Fix cliver versioning to accept all 0.x versions
+ sed -i -e 's/0.3.1/0.3/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+
+ # Remove integration tests for now since they require additional dependencies.
+ rm -rf spec/integration
+}